#include "lightwibbler.h"

using namespace Ogre;
using namespace std;

//************************************************************
// Implementation of LightWibbler
//************************************************************
LightWibbler::LightWibbler(Light* light, Billboard* billboard,
			   const ColourValue& minColour, 
			   const ColourValue& maxColour)
  : mLight(light),
    mBillboard(billboard),
    mMinColour(minColour),
    mMaxColour(maxColour)
{
}
Real
LightWibbler::getValue() const
{
  return mIntensity;
}
void
LightWibbler::setValue(Real value)
{
  mIntensity = value;
  ColourValue colour = (1.0f-mIntensity)*mMinColour+mIntensity*mMaxColour;

  if (mLight) mLight->setDiffuseColour(colour);
  if (mBillboard) mBillboard->setColour(colour);
}
