#ifndef LIGHTWIBBLER_H
#define LIGHTWIBBLER_H

#include <Ogre.h>

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Interface of lightwibbler
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
class LightWibbler : public Ogre::ControllerValue<Ogre::Real>
{
public:
  LightWibbler(Ogre::Light* light,
	       Ogre::Billboard* billboard,
	       const Ogre::ColourValue& minColour, 
	       const Ogre::ColourValue& maxColour);
  
  virtual Ogre::Real getValue() const;
  virtual void setValue(Ogre::Real value);
private:
  Ogre::Light*      mLight;
  Ogre::Billboard*  mBillboard;
  Ogre::ColourValue mMinColour;
  Ogre::ColourValue mMaxColour;
  Ogre::Real        mIntensity;
};

#endif // LIGHTWIBBLER_H
